﻿using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace linqFirstTryTests
{
    [TestClass]
    public class ProgramTests
    {
        [TestMethod]
        public void LinqTest()
        {
            int[] numbers = { 3, 2, 4, 6, 2, 7 };
            var even = numbers.Where(i => i % 2 == 0).OrderBy(i => i);
            int[] expected = { 2, 2, 4, 6 };
            Assert.IsTrue(even.SequenceEqual(expected));
        }
    }
}
